OpenCL C++ Bindings: cl::Image1DArray Class Reference

OpenCL C++ Bindings

Public Member Functions | List of all members
cl::Image1DArray Class Reference

Image interface for arrays of 1D images. More...

Inheritance diagram for cl::Image1DArray:

## Public Member Functions
| Image1DArray (const Context &context, cl_mem_flags flags, ImageFormat format, size_type arraySize, size_type width, size_type rowPitch, void *host_ptr=NULL, cl_int *err=NULL)
| Image1DArray (const cl_mem &imageArray, bool retainObject=false)
| Constructor from cl_mem - takes ownership. More...
Image1DArray & | operator= (const cl_mem &rhs)
| Image1DArray (const Image1DArray &img)
| Copy constructor to forward copy to the superclass correctly. Required for MSVC.
Image1DArray & | operator= (const Image1DArray &img)
| Copy assignment to forward copy to the superclass correctly. Required for MSVC.
| Image1DArray (Image1DArray &&img) CL_HPP_NOEXCEPT_
| Move constructor to forward move to the superclass correctly. Required for MSVC.
Image1DArray & | operator= (Image1DArray &&img)
| Move assignment to forward move to the superclass correctly. Required for MSVC.
Public Member Functions inherited from cl::Image
template<typename T >
cl_int | getImageInfo (cl_image_info name, T *param) const
| Wrapper for clGetImageInfo().
template<cl_image_info name>
detail::param_traits< detail::cl_image_info, name >::param_type | getImageInfo (cl_int *err=NULL) const
| Wrapper for clGetImageInfo() that returns by value.
Public Member Functions inherited from cl::Memory
| Memory ()
| Default constructor - initializes to NULL.
| Memory (const cl_mem &memory, bool retainObject)
| Constructor from cl_mem - takes ownership. More...
Memory & | operator= (const cl_mem &rhs)
| Assignment operator from cl_mem - takes ownership. More...
| Memory (const Memory &mem)
| Copy constructor to forward copy to the superclass correctly. Required for MSVC.
Memory & | operator= (const Memory &mem)
| Copy assignment to forward copy to the superclass correctly. Required for MSVC.
| Memory (Memory &&mem) CL_HPP_NOEXCEPT_
| Move constructor to forward move to the superclass correctly. Required for MSVC.
Memory & | operator= (Memory &&mem)
| Move assignment to forward move to the superclass correctly. Required for MSVC.
template<typename T >
cl_int | getInfo (cl_mem_info name, T *param) const
| Wrapper for clGetMemObjectInfo().
template<cl_mem_info name>
detail::param_traits< detail::cl_mem_info, name >::param_type | getInfo (cl_int *err=NULL) const
| Wrapper for clGetMemObjectInfo() that returns by value.
cl_int | setDestructorCallback (void(CL_CALLBACK *pfn_notify)(cl_mem, void *), void *user_data=NULL)
| Registers a callback function to be called when the memory object is no longer needed. More...
Public Member Functions inherited from cl::detail::Wrapper< cl_mem >
| Wrapper (const cl_type &obj, bool retainObject)
| Wrapper (const Wrapper< cl_type > &rhs)
| Wrapper (Wrapper< cl_type > &&rhs) CL_HPP_NOEXCEPT_
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
Wrapper< cl_type > & | operator= (Wrapper< cl_type > &&rhs)
Wrapper< cl_type > & | operator= (const cl_type &rhs)
const cl_type & | operator() () const
cl_type & | operator() ()
cl_type | get () const

## Additional Inherited Members
Public Types inherited from cl::detail::Wrapper< cl_mem >
typedef cl_mem | cl_type
Protected Member Functions inherited from cl::Image
| Image ()
| Default constructor - initializes to NULL.
| Image (const cl_mem &image, bool retainObject=false)
| Constructor from cl_mem - takes ownership. More...
Image & | operator= (const cl_mem &rhs)
| Assignment from cl_mem - performs shallow copy. More...
| Image (const Image &img)
| Copy constructor to forward copy to the superclass correctly. Required for MSVC.
Image & | operator= (const Image &img)
| Copy assignment to forward copy to the superclass correctly. Required for MSVC.
| Image (Image &&img) CL_HPP_NOEXCEPT_
| Move constructor to forward move to the superclass correctly. Required for MSVC.
Image & | operator= (Image &&img)
| Move assignment to forward move to the superclass correctly. Required for MSVC.
Protected Member Functions inherited from cl::detail::Wrapper< cl_mem >
cl_int | retain () const
cl_int | release () const
Protected Attributes inherited from cl::detail::Wrapper< cl_mem >
cl_type | object_

## Detailed Description

Image interface for arrays of 1D images.

Definition at line 4592 of file cl2.hpp.

## Constructor & Destructor Documentation

## ◆ Image1DArray()

cl::Image1DArray::Image1DArray | ( | const cl_mem & | imageArray,
|  | bool | retainObject = `false`
| ) |  |
| inlineexplicit

Constructor from cl_mem - takes ownership.

Parameters

  retainObject | will cause the constructor to retain its cl object. Defaults to false to maintain compatibility with earlier versions. See Memory for further details.

Definition at line 4638 of file cl2.hpp.

The documentation for this class was generated from the following file:

- cl2.hpp